Update the priorities of branch protections for a repository.
POST
/repos/{owner}/{repo}/branch_protections/priority
const url = 'https://gitea.com/api/v1/repos/example/example/branch_protections/priority';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"ids":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.com/api/v1/repos/example/example/branch_protections/priority \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "ids": [ 1 ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Request Body
Section titled “Request Body”Media typeapplication/json
UpdateBranchProtectionPriories a list to update the branch protection rule priorities
object
ids
Array<integer>
Examplegenerated
{ "ids": [ 1 ]}Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIRepoArchivedError is an error that is raised when an archived repo should be modified
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string